{
  "dns": {
    "servers": [
      {
        "tag": "dns_proxy",
        "address": "tcp://1.1.1.1",
        "address_resolver": "dns_resolver",
        "strategy": "ipv4_only",
        "detour": "TuicNodeUS"
      },
      {
        "tag": "dns_direct",
        "address": "https://dns.alidns.com/dns-query",
        "address_resolver": "dns_resolver",
        "strategy": "ipv4_only",
        "detour": "DIRECT"
      },
      {
        "tag": "dns_resolver",
        "address": "223.5.5.5",
        "detour": "DIRECT"
      },
      {
        "tag": "dns_success",
        "address": "rcode://success"
      },
      {
        "tag": "dns_refused",
        "address": "rcode://refused"
      },
      {
        "tag": "dns_fakeip",
        "address": "fakeip"
      }
    ],
    "rules": [
      {
        "outbound": "any",
        "server": "dns_resolver"
      },
      {
        "rule_set": "geolocation-!cn",
        "query_type": [
          "A",
          "AAAA"
        ],
        "server": "dns_fakeip"
      },
      {
        "rule_set": "geolocation-!cn",
        "query_type": [
          "CNAME"
        ],
        "server": "dns_proxy"
      },
      {
        "query_type": [
          "A",
          "AAAA",
          "CNAME"
        ],
        "invert": true,
        "server": "dns_refused",
        "disable_cache": true
      }
    ],
    "final": "dns_direct",
    "independent_cache": true,
    "fakeip": {
      "enabled": true,
      "inet4_range": "198.18.0.0/15",
      "inet6_range": "fc00::/18"
    }
  },
  "ntp": {
    "enabled": true,
    "server": "time.apple.com",
    "server_port": 123,
    "interval": "30m",
    "detour": "DIRECT"
  },
  "inbounds": [
    {
      "type": "mixed",
      "tag": "mixed-in",
      "listen": "0.0.0.0",
      "listen_port": 2080
    },
    {
      "type": "tun",
      "tag": "tun-in",
      "address": "172.19.0.1/30",
      "auto_route": true,
      "strict_route": true,
      "stack": "mixed",
      "sniff": true
    }
  ],
  "outbounds": [
    {
      "type": "direct",
      "tag": "DIRECT"
    },
    {
      "type": "block",
      "tag": "REJECT"
    },
    {
      "type": "dns",
      "tag": "dns-out"
    },
    {
      "tag": "TuicNodeUS",
      "type": "tuic",
      "server": "usnode1.xorbit.link",
      "server_port": 8444,
      "uuid": "1DDD6055-BC88-4086-A24A-B97324ADF140",
      "password": "ckdoacnioemskiwn",
      "congestion_control": "bbr",
      "tls": {
        "enabled": true,
        "server_name": "usnode1.xorbit.link",
        "alpn": [
          "h3"
        ]
      }
    },
    {
      "tag": "TuicNodeSG",
      "type": "tuic",
      "server": "mainnode.xorbit.link",
      "server_port": 443,
      "uuid": "1DDD6055-BC88-4086-A24A-B97324ADF140",
      "password": "ckdoacnioemskiwn",
      "congestion_control": "bbr",
      "tls": {
        "enabled": true,
        "server_name": "mainnode.xorbit.link",
        "alpn": [
          "h3"
        ]
      }
    },
    {
      "tag": "TuicGIAUS1",
      "type": "tuic",
      "server": "gianode1.xorbit.link",
      "server_port": 8444,
      "uuid": "1DDD6055-BC88-4086-A24A-B97324ADF140",
      "password": "ckdoacnioemskiwn",
      "congestion_control": "bbr",
      "tls": {
        "enabled": true,
        "server_name": "gianode1.xorbit.link",
        "alpn": [
          "h3"
        ]
      }
    }
  ],
  "route": {
    "rule_set": [
      {
        "tag": "category-ai-!cn",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-category-ai-!cn.srs"
      },
      {
        "tag": "youtube",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-youtube.srs"
      },
      {
        "tag": "google",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-google.srs"
      },
      {
        "tag": "geolocation-cn",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-geolocation-cn.srs"
      },
      {
        "tag": "github",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-github.srs"
      },
      {
        "tag": "gitlab",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-gitlab.srs"
      },
      {
        "tag": "netflix",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-netflix.srs"
      },
      {
        "tag": "hulu",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-hulu.srs"
      },
      {
        "tag": "disney",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-disney.srs"
      },
      {
        "tag": "hbo",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-hbo.srs"
      },
      {
        "tag": "amazon",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-amazon.srs"
      },
      {
        "tag": "bahamut",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-bahamut.srs"
      },
      {
        "tag": "geolocation-!cn",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geosite/geosite-geolocation-!cn.srs"
      },
      {
        "tag": "google-ip",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geoip/geoip-google.srs"
      },
      {
        "tag": "private-ip",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geoip/geoip-private.srs"
      },
      {
        "tag": "cn-ip",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geoip/geoip-cn.srs"
      },
      {
        "tag": "telegram-ip",
        "type": "remote",
        "format": "binary",
        "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/lyc8503/sing-box-rules/refs/heads/rule-set-geoip/geoip-telegram.srs"
      },
     {
                "tag": "geosite-aws",
                "type": "remote",
                "format": "binary",
                "url": "https://proxy.xorbitlab.xyz/https://raw.githubusercontent.com/SagerNet/sing-geosite/rule-set/geosite-aws.srs"
    }
    ],
    "rules": [
      {
        "protocol": "dns",
        "outbound": "dns-out"
      },
      {
        "clash_mode": "direct",
        "outbound": "DIRECT"
      },

      {
        "rule_set": ["geosite-aws"],
        "outbound": "TuicNodeUS"
       },
      {
        "rule_set": [
          "category-ai-!cn"
        ],
        "outbound": "TuicNodeUS"
      },
      {
        "rule_set": [
          "youtube"
        ],
        "outbound": "TuicNodeUS"
      },
      {
        "rule_set": [
          "google"
        ],
        "outbound": "TuicNodeUS"
      },
      {
        "rule_set": [
          "geolocation-cn"
        ],
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "github",
          "gitlab"
        ],
        "outbound": "TuicNodeUS"
      },
      {
        "rule_set": [
          "netflix",
          "hulu",
          "disney",
          "hbo",
          "amazon",
          "bahamut"
        ],
        "outbound": "TuicNodeUS"
      },
      {
        "rule_set": [
          "geolocation-!cn"
        ],
        "outbound": "TuicNodeUS"
      },
      {
        "rule_set": [
          "google-ip"
        ],
        "outbound": "TuicNodeUS"
      },
      {
        "rule_set": [
          "private-ip"
        ],
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "cn-ip"
        ],
        "outbound": "DIRECT"
      },
      {
        "rule_set": [
          "telegram-ip"
        ],
        "outbound": "TuicNodeUS"
      }
    ],
    "auto_detect_interface": true,
    "final": "TuicNodeUS"
  },
  "experimental": {
    "cache_file": {
      "enabled": true,
      "store_fakeip": true
    }
  }
}